#include "mbed.h"


/** Setup a new class for Grove_temp_sensor sensor
 *
 * 
 * 
 * @endcode
 */
class Grove_temp_sensor
{
public:
    /** Create a Grove_temp_sensor object connected to the pin
     *
     * @param pin to connect to 
     */
    Grove_temp_sensor(PinName pin);
     /**  Read the temperature in Fahrenheit
     *
     * @param returns temperature
     */
    float read_F();
     /**  Read the temperature in Celsius
     *
     * @param returns temperature
     */
    float read_C();
    
    /**  Shorthand to read the temperature value. 
     *
     * @param returns temperature in Celsius
     */
    float operator= (Grove_temp_sensor& rhs);
    
private:
//class sets up the AnalogIn pin
    AnalogIn _pin;
};



        